#ifndef _Receiver_h
#define _Receiver_h


int
M(Receiver,ReceiveResponse)(HTLIB* o,
							int timeout_millis,
							HTLIB_Header* header_buffer, HTLIB_USHORT* blen,
							HTLIB_NEEDS_FUNC needs,
							HTLIB_ERROR* err);

const char*
M(Receiver,ReceiveRequest)(HTLIB* o,
						   int timeout_millis,
						   const char** method,
						   HTLIB_Header* header_buffer, USHORT* blen,
						   HTLIB_NEEDS_FUNC needs,
						   HTLIB_ERROR* err);

int
M(Receiver,ReceiveBody)(HTLIB* o,
				  int timeout_millis,
				  char* buffer,
				  USHORT buffer_len,
				  HTLIB_ERROR* err);

#endif
